// VPredDlg.h : header file
//

#if !defined(AFX_VPREDDLG_H__58328603_644B_4AB2_B3E3_742F47589C0E__INCLUDED_)
#define AFX_VPREDDLG_H__58328603_644B_4AB2_B3E3_742F47589C0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVPredDlg dialog

class CVPredDlg : public CDialog
{
// Construction
public:
	void EnablePredictionResults(BOOL bEnable);
	CBitmapButton m_bbExit;
	CBitmapButton m_bbStop;
	CBitmapButton m_bbStart;
	void EnableComponents(BOOL bEnable);
	CVPredDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVPredDlg)
	enum { IDD = IDD_VPRED_DIALOG };
	CStatic	m_static_seen_ALU_value;
	CEdit	m_edit_seen_ALU_value;
	CEdit	m_edit_ALUs_res;
	CEdit	m_editInstructions;
	CStatic	m_staticMaxInstr;
	CButton	m_buttonFileDialog;
	CEdit	m_editBenchmark;
	CStatic	m_staticBenchmark;
	CButton	m_staticJob;
	CButton	m_staticAddressType;
	CStatic	m_staticCorrectlyClassifUnpredLoads;
	CStatic	m_staticCorrectlyPredictedLoads;
	CStatic	m_staticSeenLoadValues;
	CStatic	m_staticLoadsClassifUnpred;
	CStatic	m_staticLoadsClassifPred;
	CEdit	m_editLoadsClassifUnpred;
	CEdit	m_editLoadsClassifPred;
	CEdit	m_editSeenLoadValues;
	CEdit	m_editLoadsExecuted;
	CEdit	m_editCorrectlyPredictedLoads;
	CEdit	m_editCorrectlyClassifUnpredLoads;
	CEdit	m_editInstructionsExecuted;
	CButton	m_radioInstructionAddress;
	CButton	m_radioDataAddress;
	CButton	m_radioIncremental;
	CButton	m_staticValuePrediction;
	CButton	m_staticValuePredictionHistory;
	CButton	m_checkPredictionHistory;
	CButton	m_radioHybrid;
	CButton	m_radioContextual;
	CButton	m_radioAssociative;
	CButton	m_radioDirectMapped;
	CButton	m_staticValueLocality;
	CStatic	m_staticPatternSize;
	CStatic	m_staticPredictionHistory;
	CStatic	m_staticLVPTSize;
	CStatic	m_staticLocalityHistory;
	CButton	m_radioLocality;
	CButton	m_radioPrediction;
	CButton	m_checkLocalityHistory;
	CComboBox	m_cbPredictionHistory;
	CComboBox	m_cbPatternSize;
	CComboBox	m_cbLVPTSize;
	CComboBox	m_cbLocalityHistory;
	CAnimateCtrl	m_animate;
	CString	m_strBenchmark;
	BOOL	m_bLocalityHistoryCheck;
	CString	m_strInstructions;
	CString	m_strLocalityHistory;
	CString	m_strLVPTSize;
	CString	m_strPredictionHistory;
	CString	m_strPatternSize;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVPredDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVPredDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnFileDialogButton();
	afx_msg void OnLocalityRadio();
	afx_msg void OnPredictionRadio();
	afx_msg void OnLocalityHistoryCheck();
	afx_msg void OnAssociativeRadio();
	afx_msg void OnDirectMappedRadio();
	afx_msg void OnPredictionHistoryCheck();
	afx_msg void OnContextualRadio();
	afx_msg void OnHybridRadio();
	afx_msg void OnIncrementalRadio();
	afx_msg void OnInstructionAddressRadio();
	afx_msg void OnDataAddressRadio();
	afx_msg void OnSimulatorStart();
	afx_msg void OnSimulatorStop();
	afx_msg void OnWindowClose();
	afx_msg void OnExit();
	afx_msg void OnAbout();
	afx_msg void OnOpenRegs();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CMenu m_Menu;
	CString m_strParameters;
	CString m_strWave5;
	CString m_strTomcatv;
	CString m_strSwim;
	CString m_strSu2cor;
	CString m_strPerl;
	CString m_strIjpeg;
	CString m_strHydro;
	CString m_strFpppp;
	CString m_strCompress;
	CString m_strCc1;
	CString m_strApsi;
	CString m_strApplu;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VPREDDLG_H__58328603_644B_4AB2_B3E3_742F47589C0E__INCLUDED_)
