// VPredDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VPred.h"
#include "VPredDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

#include <process.h>
#include <winbase.h>
#include <tlhelp32.h>
#include <stdio.h>

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVPredDlg dialog

PROCESS_INFORMATION prInfo;
SHELLEXECUTEINFO seInfo;
HANDLE hThread;
HANDLE hProc;
PROCESSENTRY32 lppe;


CVPredDlg::CVPredDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVPredDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVPredDlg)
	m_strBenchmark = _T("");
	m_bLocalityHistoryCheck = FALSE;
	m_strInstructions = _T("");
	m_strLocalityHistory = _T("");
	m_strLVPTSize = _T("");
	m_strPredictionHistory = _T("");
	m_strPatternSize = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDI_Graph);
}

void CVPredDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVPredDlg)
	DDX_Control(pDX, IDC_SEEN_ALU_VALUES_STATIC2, m_static_seen_ALU_value);
	DDX_Control(pDX, IDC_SEEN_ALU_VALUES_EDIT2, m_edit_seen_ALU_value);
	DDX_Control(pDX, IDC_ALUS_RES_EDIT2, m_edit_ALUs_res);
	DDX_Control(pDX, IDC_INSTRUCTIONS_EDIT, m_editInstructions);
	DDX_Control(pDX, IDC_MAX_INSTR_STATIC, m_staticMaxInstr);
	DDX_Control(pDX, IDC_FILE_DIALOG_BUTTON, m_buttonFileDialog);
	DDX_Control(pDX, IDC_BENCHMARK_EDIT, m_editBenchmark);
	DDX_Control(pDX, IDC_BENCHMARK_STATIC, m_staticBenchmark);
	DDX_Control(pDX, IDC_JOB_STATIC, m_staticJob);
	DDX_Control(pDX, IDC_ADDRESS_TYPE_STATIC, m_staticAddressType);
	DDX_Control(pDX, IDC_CORRECTLY_CLASSIF_UNPRED_LOADS_STATIC, m_staticCorrectlyClassifUnpredLoads);
	DDX_Control(pDX, IDC_CORRECTLY_PREDICTED_LOADS_STATIC, m_staticCorrectlyPredictedLoads);
	DDX_Control(pDX, IDC_SEEN_LOAD_VALUES_STATIC, m_staticSeenLoadValues);
	DDX_Control(pDX, IDC_LOADS_CLASSIF_UNPRED_STATIC, m_staticLoadsClassifUnpred);
	DDX_Control(pDX, IDC_LOADS_CLASSIF_PRED_STATIC, m_staticLoadsClassifPred);
	DDX_Control(pDX, IDC_UNPRED_CLASSIF_LOADS_EDIT, m_editLoadsClassifUnpred);
	DDX_Control(pDX, IDC_PRED_CLASSIF_LOADS_EDIT, m_editLoadsClassifPred);
	DDX_Control(pDX, IDC_SEEN_LOAD_VALUES_EDIT, m_editSeenLoadValues);
	DDX_Control(pDX, IDC_LOADS_RES_EDIT, m_editLoadsExecuted);
	DDX_Control(pDX, IDC_CORRECTLY_PRED_LOAD_VALUES_EDIT, m_editCorrectlyPredictedLoads);
	DDX_Control(pDX, IDC_CORRECTLY_CLASSIF_UNPRED_LOADS_EDIT, m_editCorrectlyClassifUnpredLoads);
	DDX_Control(pDX, IDC_INSTRUCTIONS_RES_EDIT, m_editInstructionsExecuted);
	DDX_Control(pDX, IDC_INSTRUCTION_ADDRESS_RADIO, m_radioInstructionAddress);
	DDX_Control(pDX, IDC_DATA_ADDRESS_RADIO, m_radioDataAddress);
	DDX_Control(pDX, IDC_INCREMENTAL_RADIO, m_radioIncremental);
	DDX_Control(pDX, IDC_VALUE_PREDICTION_STATIC, m_staticValuePrediction);
	DDX_Control(pDX, IDC_VALUE_PREDICTION_HISTORY_STATIC, m_staticValuePredictionHistory);
	DDX_Control(pDX, IDC_PREDICTION_HISTORY_CHECK, m_checkPredictionHistory);
	DDX_Control(pDX, IDC_HYBRID_RADIO, m_radioHybrid);
	DDX_Control(pDX, IDC_CONTEXTUAL_RADIO, m_radioContextual);
	DDX_Control(pDX, IDC_ASSOCIATIVE_RADIO, m_radioAssociative);
	DDX_Control(pDX, IDC_DIRECT_MAPPED_RADIO, m_radioDirectMapped);
	DDX_Control(pDX, IDC_VALUE_LOCALITY_STATIC, m_staticValueLocality);
	DDX_Control(pDX, IDC_PATTERN_SIZE_STATIC, m_staticPatternSize);
	DDX_Control(pDX, IDC_PREDICTION_HISTORY_STATIC, m_staticPredictionHistory);
	DDX_Control(pDX, IDC_LVPT_SIZE_STATIC, m_staticLVPTSize);
	DDX_Control(pDX, IDC__LOCALITY_HISTORY_STATIC, m_staticLocalityHistory);
	DDX_Control(pDX, IDC_LOCALITY_RADIO, m_radioLocality);
	DDX_Control(pDX, IDC_PREDICTION_RADIO, m_radioPrediction);
	DDX_Control(pDX, IDC_LOCALITY_HISTORY_CHECK, m_checkLocalityHistory);
	DDX_Control(pDX, IDC_PREDICTION_HISTORY_COMBO, m_cbPredictionHistory);
	DDX_Control(pDX, IDC_PATTERN_COMBO, m_cbPatternSize);
	DDX_Control(pDX, IDC_LVPT_SIZE_COMBO, m_cbLVPTSize);
	DDX_Control(pDX, IDC_LOCALITY_HISTORY_COMBO, m_cbLocalityHistory);
	DDX_Control(pDX, IDC_ANIMATE1, m_animate);
	DDX_Text(pDX, IDC_BENCHMARK_EDIT, m_strBenchmark);
	DDX_Check(pDX, IDC_LOCALITY_HISTORY_CHECK, m_bLocalityHistoryCheck);
	DDX_Text(pDX, IDC_INSTRUCTIONS_EDIT, m_strInstructions);
	DDV_MaxChars(pDX, m_strInstructions, 12);
	DDX_CBString(pDX, IDC_LOCALITY_HISTORY_COMBO, m_strLocalityHistory);
	DDX_CBString(pDX, IDC_LVPT_SIZE_COMBO, m_strLVPTSize);
	DDX_CBString(pDX, IDC_PREDICTION_HISTORY_COMBO, m_strPredictionHistory);
	DDX_CBString(pDX, IDC_PATTERN_COMBO, m_strPatternSize);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVPredDlg, CDialog)
	//{{AFX_MSG_MAP(CVPredDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_FILE_DIALOG_BUTTON, OnFileDialogButton)
	ON_BN_CLICKED(IDC_LOCALITY_RADIO, OnLocalityRadio)
	ON_BN_CLICKED(IDC_PREDICTION_RADIO, OnPredictionRadio)
	ON_BN_CLICKED(IDC_LOCALITY_HISTORY_CHECK, OnLocalityHistoryCheck)
	ON_BN_CLICKED(IDC_ASSOCIATIVE_RADIO, OnAssociativeRadio)
	ON_BN_CLICKED(IDC_DIRECT_MAPPED_RADIO, OnDirectMappedRadio)
	ON_BN_CLICKED(IDC_PREDICTION_HISTORY_CHECK, OnPredictionHistoryCheck)
	ON_BN_CLICKED(IDC_CONTEXTUAL_RADIO, OnContextualRadio)
	ON_BN_CLICKED(IDC_HYBRID_RADIO, OnHybridRadio)
	ON_BN_CLICKED(IDC_INCREMENTAL_RADIO, OnIncrementalRadio)
	ON_BN_CLICKED(IDC_INSTRUCTION_ADDRESS_RADIO, OnInstructionAddressRadio)
	ON_BN_CLICKED(IDC_DATA_ADDRESS_RADIO, OnDataAddressRadio)
	ON_COMMAND(ID_SIMULATOR_START, OnSimulatorStart)
	ON_COMMAND(ID_SIMULATOR_STOP, OnSimulatorStop)
	ON_COMMAND(ID_WINDOW_CLOSE, OnWindowClose)
	ON_BN_CLICKED(IDC_EXIT, OnExit)
	ON_COMMAND(ID_About, OnAbout)
	ON_BN_CLICKED(IDC_OPEN_REGS, OnOpenRegs)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVPredDlg message handlers

BOOL CVPredDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	// Load menu
	m_Menu.LoadMenu(IDR_MENU);
	SetMenu(&m_Menu);
	// Disable the Stop menu item
	CMenu* menuSimulator = m_Menu.GetSubMenu(0);
	menuSimulator->EnableMenuItem(1, MF_BYPOSITION | MF_GRAYED);

	// Load bitmap buttons
	VERIFY(m_bbStart.AutoLoad(IDOK, this));
	VERIFY(m_bbStop.AutoLoad(IDCANCEL, this));
	VERIFY(m_bbExit.AutoLoad(IDC_EXIT, this));

	// Open animation
	m_animate.Open("vpred.avi");

	// Initializing components
	m_cbLocalityHistory.SelectString(0, "16");
	m_cbLVPTSize.SelectString(0, "512");
	m_cbPatternSize.SelectString(0, "4");
	m_cbPredictionHistory.SelectString(0, "256");
	m_radioPrediction.SetCheck(1);
	m_radioAssociative.SetCheck(1);
	m_radioInstructionAddress.SetCheck(1);
	m_radioIncremental.SetCheck(1);

	// Initializing benchmark data
	m_strApplu		= " applu.ss < applu.in";
	m_strApsi		= " apsi.ss < apsi.in";
	m_strCc1		= " cc1.ss -funroll-loops -fforce-mem -fcse-follow-jumps -fcse-skip-blocks -fexpensive-optimizations -fstrength-reduce -fpeephole -fschedule-insns -finline-functions -fschedule-insns2 -O < 1stmt.i";
	m_strCompress	= " compress95.ss  < bigtest.in";
	m_strFpppp		= " fpppp.ss < natoms.in";
	m_strHydro		= " hydro2d.ss < hydro2d.in {uses HYDRO2D.MODEL}";
	m_strIjpeg		= " ijpeg.ss -image_file vigo.ppm -compression.quality 90 -compression.optimize_coding 0 -compression.smoothing_factor 90 -difference.image 1 -difference.x_stride 10 -difference.y_stride 10 -verbose 1 -GO.findoptcomp";
	m_strPerl		= " perl.ss scrabbl.pl < scrabbl.in {uses dictionary}";
	m_strSu2cor		= " su2cor.ss < su2cor.in {uses SU2COR.MODEL}";
	m_strSwim		= " swim.ss < swim.in";
	m_strTomcatv	= " tomcatv.ss <tomcatv.in {uses TOMCATV.MODEL}";
	m_strWave5		= " wave5.ss < wave5.in";
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CVPredDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CVPredDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVPredDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

DWORD WINAPI ThreadFunc( LPVOID lpParam ) 
{ 
	DWORD dwExitCode;
	do
	{
		GetExitCodeProcess(hProc, &dwExitCode);
	}
	while(dwExitCode == STILL_ACTIVE);
	// Getting the pointer to the dialog
	CVPredDlg* Dialog = (CVPredDlg*)((DWORD*)lpParam);
	// Enable input components
	Dialog->m_staticBenchmark.EnableWindow(TRUE);
	Dialog->m_editBenchmark.EnableWindow(TRUE);
	Dialog->m_buttonFileDialog.EnableWindow(TRUE);
	Dialog->m_staticMaxInstr.EnableWindow(TRUE);
	Dialog->m_editInstructions.EnableWindow(TRUE);
	Dialog->m_staticJob.EnableWindow(TRUE);
	Dialog->m_radioLocality.EnableWindow(TRUE);
	Dialog->m_radioPrediction.EnableWindow(TRUE);
	Dialog->m_staticAddressType.EnableWindow(TRUE);
	Dialog->m_radioInstructionAddress.EnableWindow(TRUE);
	Dialog->m_radioDataAddress.EnableWindow(TRUE);
	if(Dialog->m_radioPrediction.GetCheck())
		Dialog->OnPredictionRadio();
	else Dialog->OnLocalityRadio();
	// Reading results from "simout.res" file
	CString s;
	FILE *stream;
	stream = fopen( "simout.res", "r" );
	do{}
	while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("sim_num_insn"));
	fscanf( stream, "%s", s.GetBuffer(100) );
	Dialog->m_editInstructionsExecuted.SetWindowText(s);
	
	fclose(stream);
	stream = fopen( "simout.res", "r" );
	if(Dialog->m_radioLocality.GetCheck() && Dialog->m_radioContextual.GetCheck())
	{
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("sim_num_ALUs"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_edit_ALUs_res.SetWindowText(s);
	}

	fclose(stream);
	stream = fopen( "simout.res", "r" );
	
	do{}
	while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("sim_num_loads"));
	fscanf( stream, "%s", s.GetBuffer(100) );
	Dialog->m_editLoadsExecuted.SetWindowText(s);
	if(Dialog->m_radioLocality.GetCheck())
	{
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("loadValueLocality"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_editSeenLoadValues.SetWindowText(s);
		if (Dialog->m_radioContextual.GetCheck())
		{
			do{}
			while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("ALUValueLocality"));
			fscanf( stream, "%s", s.GetBuffer(100) );
			Dialog->m_edit_seen_ALU_value.SetWindowText(s);
		}
	}
	if(Dialog->m_radioPrediction.GetCheck())
	{
		fclose(stream);
		stream = fopen( "simout.res", "r" );
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("valuePrediction"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_editCorrectlyPredictedLoads.SetWindowText(s);
	    
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("classifiedPred"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_editLoadsClassifPred.SetWindowText(s);
		
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("classifiedUnpred"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_editLoadsClassifUnpred.SetWindowText(s);
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("unpredictable"));
		do{}
		while(fscanf( stream, "%s", s.GetBuffer(100) ) != EOF && s.Compare("unpredictable"));
		fscanf( stream, "%s", s.GetBuffer(100) );
		Dialog->m_editCorrectlyClassifUnpredLoads.SetWindowText(s);
	}
	fclose( stream );

	// Enabling dialog components
	Dialog->EnableComponents(TRUE);
	// Stop animation
	Dialog->m_animate.Seek(0);
    return 0; 
} 

void CVPredDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData();
	// Check input data
	if(m_strBenchmark == "")
	{
		AfxMessageBox("Please select a benchmark.");
		m_editBenchmark.SetFocus();
		return;
	}
	if(m_radioLocality.GetCheck() && m_checkLocalityHistory.GetCheck())
	{
		if(m_strLocalityHistory == "" || !atoi(m_strLocalityHistory))
		{
			AfxMessageBox("Please choose a value for locality history.");
			m_cbLocalityHistory.SetFocus();
			return;
		}
	}
	if(m_radioPrediction.GetCheck())
	{
		if(m_strLVPTSize == "" || !atoi(m_strLVPTSize))
		{
			AfxMessageBox("Please choose a value for LVPT size.");
			m_cbLVPTSize.SetFocus();
			return;
		}
		if(m_checkPredictionHistory.GetCheck() && !m_radioIncremental.GetCheck())
		{
			if(m_strPredictionHistory == "" || !atoi(m_strPredictionHistory))
			{
				AfxMessageBox("Please choose a value for prediction history.");
				m_cbPredictionHistory.SetFocus();
				return;
			}
			if(m_strPatternSize == "" || !atoi(m_strPatternSize))
			{
				AfxMessageBox("Please choose a value for pattern size.");
				m_cbPatternSize.SetFocus();
				return;
			}
		}

	}
	// Clear result data
	m_editInstructionsExecuted.SetWindowText("");
	m_editLoadsExecuted.SetWindowText("");
	m_edit_ALUs_res.SetWindowText("");
	m_editSeenLoadValues.SetWindowText("");
	m_edit_seen_ALU_value.SetWindowText("");
	m_editCorrectlyPredictedLoads.SetWindowText("");
	m_editLoadsClassifPred.SetWindowText("");
	m_editLoadsClassifUnpred.SetWindowText("");
	m_editCorrectlyClassifUnpredLoads.SetWindowText("");
	// Enable/Disable result components
	if(m_radioPrediction.GetCheck())
		EnablePredictionResults(TRUE);
	else EnablePredictionResults(FALSE);
	// Get all the parameters necessary to start the simulator
//	UpdateData();
//	m_strBenchmark
	if(!m_strBenchmark.CompareNoCase("applu.ss"))
		m_strParameters = m_strApplu;
	else if(!m_strBenchmark.CompareNoCase("apsi.ss"))
		m_strParameters = m_strApsi;
	else if(!m_strBenchmark.CompareNoCase("cc1.ss"))
		m_strParameters = m_strCc1;
	else if(!m_strBenchmark.CompareNoCase("compress95.ss"))
		m_strParameters = m_strCompress;
	else if(!m_strBenchmark.CompareNoCase("fpppp.ss"))
		m_strParameters = m_strFpppp;
	else if(!m_strBenchmark.CompareNoCase("hydro2d.ss"))
		m_strParameters = m_strHydro;
	else if(!m_strBenchmark.CompareNoCase("ijpeg.ss"))
		m_strParameters = m_strIjpeg;
	else if(!m_strBenchmark.CompareNoCase("perl.ss"))
		m_strParameters = m_strPerl;
	else if(!m_strBenchmark.CompareNoCase("su2cor.ss"))
		m_strParameters = m_strSu2cor;
	else if(!m_strBenchmark.CompareNoCase("swim.ss"))
		m_strParameters = m_strSwim;
	else if(!m_strBenchmark.CompareNoCase("tomcatv.ss"))
		m_strParameters = m_strTomcatv;
	else if(!m_strBenchmark.CompareNoCase("wave5.ss"))
		m_strParameters = m_strWave5;

	CString strMaxInst;
	if(m_strInstructions == "")
		strMaxInst = "";
	else strMaxInst = " -max:inst " + m_strInstructions;
	CString strPred = "1";
	if(m_radioLocality.GetCheck() == 1)
		strPred = "0";
	CString strHistory = "1";

	if(m_radioLocality.GetCheck() == 1 && m_checkLocalityHistory.GetCheck() == 1)
		strHistory = m_strLocalityHistory;

	CString strAssoc = "1";
	if(m_radioDirectMapped.GetCheck() == 1)
		strAssoc = "0";

	CString strMemAddr = "0";
	if(m_radioDataAddress.GetCheck() == 1)
		strMemAddr = "1";
	CString strExecutable = "sim-vpred.exe";
	int gata=1;
	CString strCommandLine;

	if(m_radioPrediction.GetCheck()!=1)	/* Este selectata Predictia valorii sau Localitatea */
	{
		if(m_radioContextual.GetCheck() == 1)
		{
			strExecutable = "sim-inst.exe";
			strCommandLine = strExecutable + " -redir:sim simout.res -redir:prog progout.res -memaddr " + strMemAddr + " -history " + strHistory + strMaxInst + m_strParameters;
			gata=0;
		}
		else
		{
			strExecutable = "sim-regs.exe";
			strCommandLine = strExecutable + " -redir:sim simout.res -redir:prog progout.res -memaddr " + strMemAddr + " -history " + strHistory + strMaxInst + m_strParameters;
			gata=0;
		}	
	}

// Creating the "sim.bat" file
//	"sim-vpred -redir:sim applu_simout.res -redir:prog applu_progout.res -contextual " + strContextual + " -pattern " + strPattern + " -memaddr " + strMemAddr + " -pred " + strPred + " -assoc " + strAssoc + " -lvpt " + m_strLVPTSize + " -history " + strHistory + " -max:inst " + m_strInstructions + " applu.ss < applu.in"
//	CString strCommandLine = "sim-vpred -redir:sim applu_simout.res -redir:prog applu_progout.res -pred 1 -max:inst 1000000 applu.ss < applu.in";
	if (gata)
		strCommandLine = strExecutable + " -redir:sim simout.res -redir:prog progout.res -memaddr " + strMemAddr + " -pred " + strPred + " -assoc " + strAssoc + " -lvpt " + m_strLVPTSize + " -history " + strHistory + strMaxInst + m_strParameters;
	DWORD length = strCommandLine.GetLength();
	HANDLE hFile = CreateFile("sim.bat", GENERIC_WRITE, 0, NULL, CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL);
	DWORD NumberOfBytesWritten;
	WriteFile(hFile, strCommandLine.GetBuffer(5), strCommandLine.GetLength(), &NumberOfBytesWritten, NULL);
	CloseHandle(hFile);

	STARTUPINFO stInfo;
//	PROCESS_INFORMATION prInfo;
	BOOL bResult;
	ZeroMemory( &stInfo, sizeof(stInfo) );
	stInfo.cb = sizeof(stInfo);
	stInfo.dwFlags=STARTF_USESHOWWINDOW;
	stInfo.wShowWindow=SW_HIDE;
 
	
	bResult = CreateProcess(NULL, 
	  						"sim.bat",//(LPSTR)(LPCSTR)sCmdLine, 
							NULL, 
							NULL, 
							TRUE,
							CREATE_NO_WINDOW | HIGH_PRIORITY_CLASS,
							NULL,
							NULL,//(LPCSTR)sRunningDir,
							&stInfo, 
							&prInfo);

	if (!bResult)
	{
		AfxMessageBox("Program execution failed. Please try again.");
 		return;
	}

		

	DWORD parentId;
	do{
		HANDLE hSnapshot;
		hSnapshot = CreateToolhelp32Snapshot(TH32CS_SNAPALL, NULL);
		PROCESSENTRY32 lppe;
		ZeroMemory( &lppe, sizeof(lppe) );
		lppe.dwSize = sizeof(lppe);
		DWORD procId;

		if(Process32First(hSnapshot, &lppe))
		{
			do{
				procId = lppe.th32ProcessID;
				parentId = lppe.th32ParentProcessID;
				if(prInfo.dwProcessId == parentId)
					break;
			}
			while(Process32Next(hSnapshot, &lppe));
		}
		hProc = OpenProcess(PROCESS_ALL_ACCESS, TRUE, procId);
	}
	while(prInfo.dwProcessId != parentId);

	CloseHandle(prInfo.hThread); 
	CloseHandle(prInfo.hProcess); 

	// Start animation
	m_animate.Play(0,10,-1);
	
    DWORD dwThreadId;
	DWORD *dwThrdParam = (DWORD*)this; 
    hThread = CreateThread( 
        NULL,                        // no security attributes 
        0,                           // use default stack size  
        ThreadFunc,                  // thread function 
        dwThrdParam,				 // argument to thread function 
        0,                           // use default creation flags 
        &dwThreadId);                // returns the thread identifier 
 
   // Check the return value for success. 
 
	if (hThread != NULL)
	{
		SetThreadPriority(hThread, THREAD_PRIORITY_BELOW_NORMAL);
		CVPredDlg::EnableComponents(FALSE);
		// Disable all input components
		m_staticBenchmark.EnableWindow(FALSE);
		m_editBenchmark.EnableWindow(FALSE);
		m_buttonFileDialog.EnableWindow(FALSE);
		m_staticMaxInstr.EnableWindow(FALSE);
		m_editInstructions.EnableWindow(FALSE);
		m_staticJob.EnableWindow(FALSE);
		m_radioLocality.EnableWindow(FALSE);
		m_radioPrediction.EnableWindow(FALSE);
		m_staticValueLocality.EnableWindow(FALSE);
		m_checkLocalityHistory.EnableWindow(FALSE);
		m_staticLocalityHistory.EnableWindow(FALSE);
		m_cbLocalityHistory.EnableWindow(FALSE);
		m_staticValuePrediction.EnableWindow(FALSE);
		m_radioDirectMapped.EnableWindow(FALSE);
		m_radioAssociative.EnableWindow(FALSE);
		m_staticLVPTSize.EnableWindow(FALSE);
		m_cbLVPTSize.EnableWindow(FALSE);
		m_staticAddressType.EnableWindow(FALSE);
		m_radioInstructionAddress.EnableWindow(FALSE);
		m_radioDataAddress.EnableWindow(FALSE);
		m_staticValuePredictionHistory.EnableWindow(FALSE);
		m_checkPredictionHistory.EnableWindow(FALSE);
		m_radioIncremental.EnableWindow(FALSE);
		m_radioContextual.EnableWindow(FALSE);
		m_radioHybrid.EnableWindow(FALSE);
		m_staticPredictionHistory.EnableWindow(FALSE);
		m_cbPredictionHistory.EnableWindow(FALSE);
		m_staticPatternSize.EnableWindow(FALSE);
		m_cbPatternSize.EnableWindow(FALSE);
	}

	// Deleting the "sim.bat" file
	DeleteFile("sim.bat");
 
}

void CVPredDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	DWORD dwExitCode;
	GetExitCodeThread(hThread, &dwExitCode);
	if(dwExitCode == STILL_ACTIVE)
	{
		BOOL terminated = FALSE;
		while(!terminated)
			terminated = TerminateThread(hThread, 0);
	}
	CloseHandle(hThread);

	GetExitCodeProcess(hProc, &dwExitCode);
	if(dwExitCode == STILL_ACTIVE)
	{
		BOOL terminated = FALSE;
		while(!terminated)
			terminated = TerminateProcess(hProc, 0);
	}
	CloseHandle(hProc);

	CVPredDlg::EnableComponents(TRUE);
	// Enable input components
	m_staticBenchmark.EnableWindow(TRUE);
	m_editBenchmark.EnableWindow(TRUE);
	m_buttonFileDialog.EnableWindow(TRUE);
	m_staticMaxInstr.EnableWindow(TRUE);
	m_editInstructions.EnableWindow(TRUE);
	m_staticJob.EnableWindow(TRUE);
	m_radioLocality.EnableWindow(TRUE);
	m_radioPrediction.EnableWindow(TRUE);
	m_staticAddressType.EnableWindow(TRUE);
	m_radioInstructionAddress.EnableWindow(TRUE);
	m_radioDataAddress.EnableWindow(TRUE);
	if(m_radioPrediction.GetCheck())
		OnPredictionRadio();
	else OnLocalityRadio();
	// Stop animation
	m_animate.Seek(0);
//	CDialog::OnCancel();
}

void CVPredDlg::EnableComponents(BOOL bEnable)
{
	// Enable/Disable buttons
	GetDlgItem(IDOK)->EnableWindow(bEnable);
	GetDlgItem(IDCANCEL)->EnableWindow(!bEnable);
	// Enable/Disable menu items
	CMenu* menuSimulator = m_Menu.GetSubMenu(0);
	if(bEnable)
	{
		menuSimulator->EnableMenuItem(0, MF_BYPOSITION | MF_ENABLED);
		menuSimulator->EnableMenuItem(1, MF_BYPOSITION | MF_GRAYED);
	}
	else
	{
		menuSimulator->EnableMenuItem(0, MF_BYPOSITION | MF_GRAYED);
		menuSimulator->EnableMenuItem(1, MF_BYPOSITION | MF_ENABLED);
	}
}

void CVPredDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	
	CVPredDlg::OnCancel();
	ExitProcess(0);
}

void CVPredDlg::OnFileDialogButton() 
{
	// TODO: Add your control notification handler code here
	static char BASED_CODE szFileDialogFilter[] = "Benchmarks (*.ss)|*.ss||";
	CFileDialog fileDialog(TRUE, NULL, NULL,
         NULL, szFileDialogFilter);


    if (fileDialog.DoModal() == IDOK) 
	{
		UpdateData();
		CString pathName = fileDialog.GetPathName();
	    CString fileName = fileDialog.GetFileName();
	    m_strBenchmark = fileDialog.GetFileName();
	    UpdateData(FALSE);
	}

}

void CVPredDlg::OnLocalityRadio() 
{
	// TODO: Add your control notification handler code here
	// Enable Locality components
	m_staticValueLocality.EnableWindow(TRUE);
	m_checkLocalityHistory.EnableWindow(TRUE);
	m_radioPrediction.SetCheck(0);
	if(m_checkLocalityHistory.GetCheck() == 1)
	{
		m_cbLocalityHistory.EnableWindow(TRUE);
		m_staticLocalityHistory.EnableWindow(TRUE);
	}
	if(m_checkLocalityHistory.GetCheck() == 0)
	{
		m_cbLocalityHistory.EnableWindow(FALSE);
		m_staticLocalityHistory.EnableWindow(FALSE);
	}
	// Disable Prediction components
	m_staticValuePrediction.EnableWindow(FALSE);
	m_radioDirectMapped.EnableWindow(FALSE);
	m_radioAssociative.EnableWindow(FALSE);
	m_staticLVPTSize.EnableWindow(FALSE);
	m_cbLVPTSize.EnableWindow(FALSE);
	m_staticValuePredictionHistory.EnableWindow(FALSE);
	m_checkPredictionHistory.EnableWindow(FALSE);
	// Disable History Prediction components
	m_radioIncremental.EnableWindow(FALSE);
	m_radioContextual.EnableWindow(FALSE);
	m_radioHybrid.EnableWindow(FALSE);
	m_staticPredictionHistory.EnableWindow(FALSE);
	m_cbPredictionHistory.EnableWindow(FALSE);
	m_staticPatternSize.EnableWindow(FALSE);
	m_cbPatternSize.EnableWindow(FALSE);
		m_radioIncremental.EnableWindow(TRUE);
		m_radioContextual.EnableWindow(TRUE);
}

void CVPredDlg::OnPredictionRadio() 
{
	// TODO: Add your control notification handler code here
	// Disable Locality components
	m_staticValueLocality.EnableWindow(FALSE);
	m_checkLocalityHistory.EnableWindow(FALSE);
	m_cbLocalityHistory.EnableWindow(FALSE);
	m_staticLocalityHistory.EnableWindow(FALSE);
	m_radioLocality.SetCheck(0);
	// Enable Prediction components
	m_staticValuePrediction.EnableWindow(TRUE);
	m_radioDirectMapped.EnableWindow(TRUE);
	m_radioAssociative.EnableWindow(TRUE);
	m_staticLVPTSize.EnableWindow(TRUE);
	m_cbLVPTSize.EnableWindow(TRUE);
	m_staticValuePredictionHistory.EnableWindow(TRUE);
	m_checkPredictionHistory.EnableWindow(TRUE);
	//Enable History Prediction components
	if(m_checkPredictionHistory.GetCheck() == 1)
	{
		m_radioIncremental.EnableWindow(TRUE);
		m_radioContextual.EnableWindow(TRUE);
		m_radioHybrid.EnableWindow(TRUE);
		if(m_radioContextual.GetCheck() == 1 || m_radioHybrid.GetCheck() == 1)
		{
			m_staticPredictionHistory.EnableWindow(TRUE);
			m_cbPredictionHistory.EnableWindow(TRUE);
			m_staticPatternSize.EnableWindow(TRUE);
			m_cbPatternSize.EnableWindow(TRUE);
		}
	}
		m_radioIncremental.EnableWindow(FALSE);
		m_radioContextual.EnableWindow(FALSE);
}

void CVPredDlg::OnLocalityHistoryCheck() 
{
	// TODO: Add your control notification handler code here
	
	if(m_checkLocalityHistory.GetCheck() == 1)
	{
		m_cbLocalityHistory.EnableWindow(TRUE);
		m_staticLocalityHistory.EnableWindow(TRUE);
	}
	if(m_checkLocalityHistory.GetCheck() == 0)
	{
		m_cbLocalityHistory.EnableWindow(FALSE);
		m_staticLocalityHistory.EnableWindow(FALSE);
	}
	
}

void CVPredDlg::OnAssociativeRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioDirectMapped.SetCheck(0);
}

void CVPredDlg::OnDirectMappedRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioAssociative.SetCheck(0);
}

void CVPredDlg::OnPredictionHistoryCheck() 
{
	// TODO: Add your control notification handler code here
	if(m_checkPredictionHistory.GetCheck() == 1)
	{
		m_radioIncremental.EnableWindow(TRUE);
		m_radioContextual.EnableWindow(TRUE);
		m_radioHybrid.EnableWindow(TRUE);
		if(m_radioContextual.GetCheck() == 1 || m_radioHybrid.GetCheck() == 1)
		{
			m_staticPredictionHistory.EnableWindow(TRUE);
			m_cbPredictionHistory.EnableWindow(TRUE);
			m_staticPatternSize.EnableWindow(TRUE);
			m_cbPatternSize.EnableWindow(TRUE);
		}
	}
	if(m_checkPredictionHistory.GetCheck() == 0)
	{
		m_radioIncremental.EnableWindow(FALSE);
		m_radioContextual.EnableWindow(FALSE);
		m_radioHybrid.EnableWindow(FALSE);
		m_staticPredictionHistory.EnableWindow(FALSE);
		m_cbPredictionHistory.EnableWindow(FALSE);
		m_staticPatternSize.EnableWindow(FALSE);
		m_cbPatternSize.EnableWindow(FALSE);
	}
}

void CVPredDlg::OnContextualRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioHybrid.SetCheck(0);
	m_radioIncremental.SetCheck(0);
	m_staticPredictionHistory.EnableWindow(TRUE);
	m_cbPredictionHistory.EnableWindow(TRUE);
	m_staticPatternSize.EnableWindow(TRUE);
	m_cbPatternSize.EnableWindow(TRUE);
}

void CVPredDlg::OnHybridRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioContextual.SetCheck(0);
	m_radioIncremental.SetCheck(0);	
	m_staticPredictionHistory.EnableWindow(TRUE);
	m_cbPredictionHistory.EnableWindow(TRUE);
	m_staticPatternSize.EnableWindow(TRUE);
	m_cbPatternSize.EnableWindow(TRUE);
}

void CVPredDlg::OnIncrementalRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioContextual.SetCheck(0);
	m_radioHybrid.SetCheck(0);
	m_staticPredictionHistory.EnableWindow(FALSE);
	m_cbPredictionHistory.EnableWindow(FALSE);
	m_staticPatternSize.EnableWindow(FALSE);
	m_cbPatternSize.EnableWindow(FALSE);
}

void CVPredDlg::OnInstructionAddressRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioDataAddress.SetCheck(0);
}

void CVPredDlg::OnDataAddressRadio() 
{
	// TODO: Add your control notification handler code here
	m_radioInstructionAddress.SetCheck(0);
}

void CVPredDlg::OnSimulatorStart() 
{
	// TODO: Add your command handler code here
	OnOK();
}

void CVPredDlg::OnSimulatorStop() 
{
	// TODO: Add your command handler code here
	OnCancel();
}

void CVPredDlg::OnWindowClose() 
{
	// TODO: Add your command handler code here
	CVPredDlg::OnCancel();
	ExitProcess(0);
}

void CVPredDlg::OnExit() 
{
	// TODO: Add your control notification handler code here
	CVPredDlg::OnCancel();
	ExitProcess(0);	
}

void CVPredDlg::EnablePredictionResults(BOOL bEnable)
{
	m_staticCorrectlyClassifUnpredLoads.EnableWindow(bEnable);
	m_editCorrectlyClassifUnpredLoads.EnableWindow(bEnable);
	m_staticCorrectlyPredictedLoads.EnableWindow(bEnable);
	m_editCorrectlyPredictedLoads.EnableWindow(bEnable);
	m_staticLoadsClassifPred.EnableWindow(bEnable);
	m_editLoadsClassifPred.EnableWindow(bEnable);
	m_staticLoadsClassifUnpred.EnableWindow(bEnable);
	m_editLoadsClassifUnpred.EnableWindow(bEnable);
	m_staticSeenLoadValues.EnableWindow(!bEnable);
	m_static_seen_ALU_value.EnableWindow(!bEnable);
	m_editSeenLoadValues.EnableWindow(!bEnable);
	m_edit_seen_ALU_value.EnableWindow(!bEnable);
}

void CVPredDlg::OnAbout() 
{
	// TODO: Add your command handler code here
	
	CAboutDlg	aboutDlg;
	aboutDlg.DoModal();
}

void CVPredDlg::OnOpenRegs() 
{
	// TODO: Add your control notification handler code here
	CDocument	x;
	static char BASED_CODE szFileDialogFilter[] = "Benchmarks (*.res)|*.res||";
	CFileDialog fileDialog(TRUE, NULL, NULL,
         NULL, szFileDialogFilter);


	if (fileDialog.DoModal() == IDOK) 
	{
	
		CString pathName = fileDialog.GetPathName();
	    CString fileName = fileDialog.GetFileName();
	    m_strBenchmark = fileDialog.GetFileName();
		x.OnOpenDocument(pathName);
		ShellExecute(NULL, "open", "notepad.exe", pathName, NULL, SW_SHOWNORMAL);

	}
}
